Page MenuHomePhabricator

Append -w when LLVM_ENABLE_WARNINGS is Off.
ClosedPublic

Authored by v.g.vassilev on Apr 5 2017, 2:35 AM.

Details

Reviewers
rnk
Summary

This is very useful for projects which embed LLVM in their codebases.

Diff Detail

Event Timeline

v.g.vassilev created this revision.Apr 5 2017, 2:35 AM
yaron.keren added inline comments.
cmake/modules/HandleLLVMOptions.cmake
562

note this is an else to
if (LLVM_ENABLE_WARNINGS AND (LLVM_COMPILER_IS_GCC_COMPATIBLE OR CLANG_CL))
so for non-gcc non-clang_cl compilers you'd also end up here.

shouldn't the condition be
if (LLVM_COMPILER_IS_GCC_COMPATIBLE AND NOT LLVM_ENABLE_WARNINGS)

v.g.vassilev marked an inline comment as done.

Ah good point. Thanks!

rnk accepted this revision.Apr 6 2017, 5:08 PM

lgtm

This revision is now accepted and ready to land.Apr 6 2017, 5:08 PM
v.g.vassilev closed this revision.Apr 12 2017, 1:56 PM

Landed in r300100.